<div [ngClass]="jds.mb(12)">
  <jds-bi-scrollbar [ngClass]="[jds.maxH(250)]">
    <ul
      [ngClass]="[jds.ps(0), jds.mb(0), jds.list('none'), jds.h('auto')]"
      data-mcs-theme="dark"
    >
      @for (item of checklist(); track item.id; let i = $index) {
        <li [ngClass]="[jds.mb(5), jds.pe(15)]">
          <div [ngClass]="[jds.formCheck]">
            <input
              id="checkbox-mapset-type-{{ i }}"
              [(ngModel)]="item.checked"
              [ngClass]="[jds.formCheckInput]"
              (change)="onFilter()"
              type="checkbox"
            />
            <label
              [ngClass]="[jds.formCheckLabel]"
              for="checkbox-mapset-type-{{ i }}"
            >
              {{ item.name }}
            </label>
          </div>
        </li>
      }
    </ul>
  </jds-bi-scrollbar>
</div>
